<template>
	<mind-layout>
		<form-planilla 
			:idPlanilla="recurso.id"
			/>
	</mind-layout>
</template>
<script>
import store from '@/store/planillas'
import {Rest} from '@/../vendor/mind-core-web'

import formPlanilla from '@/components/form-planilla'

export default {
	components: {
		formPlanilla
	},
	async created(){
		this.api = new Rest({
			uri: `/api/viajes/agencias/${store.idAgencia}/planillas`, 
			state: store.data,
			key: 'id'
		})

		let id = this.$route.params.id
		if(id == 'new') {
			this.isNew = true
			this.recurso = {	}
		} else {
			this.recurso = await this.api.Fetch(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});				
			})
		}
	},
	data() {
		return {
			isNew: false,
			recurso: {},
			api: null
		}
	}
}
</script>